---
lang: en
title: 'API docs: repository-json-schema.isarraytype'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository-json-schema
permalink: /doc/en/lb4/apidocs.repository-json-schema.isarraytype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [isArrayType](./repository-json-schema.isarraytype.md)

## isArrayType() function

Determines whether a given string or constructor is array type or not

<b>Signature:</b>

```typescript
export declare function isArrayType(type: string | Function | PropertyType): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string \| Function \| [PropertyType](./repository.propertytype.md) | Type as string or wrapper |

<b>Returns:</b>

boolean


